Bug 239208 - Suspend and resume on ThinkPad 600X corrupts graphic and text displays
Suspend and resume on ThinkPad 600X corrupts graphic and text displays
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-neomagic (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2007-05-05 23:06 EDT by Chris Schumann
Modified: 2008-01-15 09:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 09:40:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
x.org configuration file (1.08 KB, text/plain)
2007-05-30 22:33 EDT, Chris Schumann
no flags Details
Xorg log file after suspend/resume (39.65 KB, text/plain)
2007-05-30 22:38 EDT, Chris Schumann
no flags Details
Xorg log file after remove xorg.conf (43.92 KB, text/plain)
2007-05-30 22:52 EDT, Chris Schumann
no flags Details

  None (edit)
Description Chris Schumann 2007-05-05 23:06:48 EDT
Description of problem: After suspend and resume, the text consoles are garbled
on the IBM ThinkPad 600X, which uses the NM2360 (NeoMagic MagicGraph 256ZX)
chip. Text is malformed and unstable, as if a video cable were loose, but this
is a laptop. This happens on three different 600X machines, and on FC5, FC6,
F7T4 and CentOS 5.

Also, immediately after resume, the screen starts black but slowly turns
entirely white, as if all the drivers are full on. Very interesting and
distressing effect. Switching to a text console and back refreshes the screen

Version-Release number of selected component (if applicable):

How reproducible: Every Time

Steps to Reproduce:
1. Log in to a Gnome Session.
2. Suspend by pressing Fn+F4, and wait for suspend to complete.
3. Resume by pressing Fn. Observe behavior.
Actual results: Freaky white screen.

Expected results: Flawless resumption of previous session.

Additional info: I can attach captures of xdpyinfo and xwininfo if desired. I've
been using the default xorg.conf files generated by Anaconda, except adding a
section to allow the TrackPoint middle button to act as a scroll wheel.

I am a software developer and am comfortable building and running any test code.
Comment 1 Matěj Cepl 2007-05-26 11:32:18 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Chris Schumann 2007-05-30 22:33:19 EDT
Created attachment 155765 [details]
x.org configuration file

x.org configuration file as requested
Comment 3 Chris Schumann 2007-05-30 22:38:21 EDT
Created attachment 155766 [details]
Xorg log file after suspend/resume

Xorg.0.log file as requested, after a suspend and resume
Comment 4 Chris Schumann 2007-05-30 22:52:16 EDT
Created attachment 155768 [details]
Xorg log file after remove xorg.conf

I removed /etc/X11/xorg.conf, rebooted the machine, logged in, verified X and
Gnome were working and making a log file, suspended and resumed, and this is
the log file at this point. Suspend occured after line 833.
Comment 5 Matěj Cepl 2007-12-10 04:23:07 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 6 Matěj Cepl 2008-01-15 09:40:08 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.